Subject: [alpine-devel] cherokee: New APKBUILD

From: "Mika Havela" <[email-masked]>
Date: Mon, 04 Jan 2010 16:44:59 +0000

New APKBUILD for cherokee webserver (including a patch/bugfix I found before emailing you this).
Please review and apply this to 'testing'

http://www.cherokee-project.com/

From 70b5acd4c9070b38cccd77a731b7493bf8125cf6 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Mon, 4 Jan 2010 16:41:47 +0000
Subject: [PATCH 2/2] cherokee: Adding config-file

---
 testing/cherokee/APKBUILD |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/testing/cherokee/APKBUILD b/testing/cherokee/APKBUILD
index 6568e23..6930e6b 100644
--- a/testing/cherokee/APKBUILD
+++ b/testing/cherokee/APKBUILD
@@ -6,12 +6,13 @@ pkgrel=0
 pkgdesc="A very fast, flexible and easy to configure Web Server"
 url="http://www.cherokee-project.com/"
 license="GPL2"
-depends="pcre"
+depends="pcre rrdtool"
 makedepends="openssl-dev gettext-dev ffmpeg-dev"
 install=
 subpackages="$pkgname-doc"
 source="http://www.cherokee-project.com/download/0.99/${pkgver}/${pkgname}-${pkgver}.tar.gz
 	cherokee.initd
+	cherokee.confd
 	"
 
 build() {
@@ -21,15 +22,13 @@ build() {
 		--localstatedir=/var \
 		--sysconfdir=/etc \
 		--with-wwwroot=/var/www
-#		--mandir=/usr/share/man \
-#		--infodir=/usr/share/info
 	make || return 1
 	make DESTDIR="$pkgdir" install
 
-	# remove the 2 lines below (and this) if there is no init.d script
 	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
-	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+	install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
 }
 
 md5sums="67be28eda0673598fbb5b1cbd70de455  cherokee-0.99.38.tar.gz
-4180dbb6701f928054079aa1e3bd5ebc  cherokee.initd"
+4180dbb6701f928054079aa1e3bd5ebc  cherokee.initd
+bd6a840f72c630ce1eaabe058097584f  cherokee.confd"
-- 
1.6.5

From e7437463bfebba3070dce2ec91cf5d8c5fdfea00 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Fri, 1 Jan 2010 21:30:50 +0000
Subject: [PATCH 1/2] cherokee: New APKBUILD for cherokee web server
 http://www.cherokee-project.com/

---
 testing/cherokee/APKBUILD       |   35 +++++++++++++++++++++++++++++++++
 testing/cherokee/cherokee.confd |   10 +++++++++
 testing/cherokee/cherokee.initd |   41 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 86 insertions(+), 0 deletions(-)
 create mode 100644 testing/cherokee/APKBUILD
 create mode 100644 testing/cherokee/cherokee.confd
 create mode 100755 testing/cherokee/cherokee.initd

diff --git a/testing/cherokee/APKBUILD b/testing/cherokee/APKBUILD
new file mode 100644
index 0000000..6568e23
--- /dev/null
+++ b/testing/cherokee/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Mika Havela <[email-masked]> 
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=cherokee
+pkgver=0.99.38
+pkgrel=0
+pkgdesc="A very fast, flexible and easy to configure Web Server"
+url="http://www.cherokee-project.com/"
+license="GPL2"
+depends="pcre"
+makedepends="openssl-dev gettext-dev ffmpeg-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.cherokee-project.com/download/0.99/${pkgver}/${pkgname}-${pkgver}.tar.gz
+	cherokee.initd
+	"
+
+build() {
+	cd "$srcdir"/$pkgname-$pkgver
+
+	./configure --prefix=/usr \
+		--localstatedir=/var \
+		--sysconfdir=/etc \
+		--with-wwwroot=/var/www
+#		--mandir=/usr/share/man \
+#		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+
+	# remove the 2 lines below (and this) if there is no init.d script
+	install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="67be28eda0673598fbb5b1cbd70de455  cherokee-0.99.38.tar.gz
+4180dbb6701f928054079aa1e3bd5ebc  cherokee.initd"
diff --git a/testing/cherokee/cherokee.confd b/testing/cherokee/cherokee.confd
new file mode 100644
index 0000000..8f719df
--- /dev/null
+++ b/testing/cherokee/cherokee.confd
@@ -0,0 +1,10 @@
+# Sample conf.d file for alpine linux
+
+#
+# Specify daemon $OPTS here.
+#
+
+OPTS="-d"
+DAEMON_USER="root"
+DAEMON_GROUP="root"
+
diff --git a/testing/cherokee/cherokee.initd b/testing/cherokee/cherokee.initd
new file mode 100755
index 0000000..6aed337
--- /dev/null
+++ b/testing/cherokee/cherokee.initd
@@ -0,0 +1,41 @@
+#!/sbin/runscript
+
+# Cherokee init.d file for alpine linux.
+
+NAME=cherokee
+DAEMON=/usr/sbin/$NAME
+DAEMON_USER=${DAEMON_USER:-root}
+DAEMON_GROUP=${DAEMON_GROUP:-root}
+
+depend() {
+	need net
+}
+
+start() {
+	ebegin "Starting ${NAME}"
+		start-stop-daemon --start --quiet \
+			--pidfile /var/run/${NAME}.pid \
+			--chuid ${DAEMON_USER}:${DAEMON_GROUP} \
+			--exec ${DAEMON} -- ${OPTS}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping ${NAME}"
+		start-stop-daemon --stop --quiet \
+			--exec ${DAEMON} \
+			--pidfile /var/run/${NAME}.pid
+	eend $?
+}
+
+reload() {
+	ebegin "Reloading ${NAME}"
+	if ! service_started "${NAME}" ; then
+		eend 1 "${NAME} is not started"
+		return 1
+	fi
+	start-stop-daemon --stop --oknodo --signal HUP \
+		--exec ${DAEMON} --pidfile /var/run/${NAME}.pid
+	eend $?
+}
+
-- 
1.6.5

---

From: Natanael Copa <[email-masked]>
Date: Tue, 05 Jan 2010 14:32:46 +0100

> New APKBUILD for cherokee webserver (including a patch/bugfix I found before emailing you this).

You can use 'git commit --amend' to redo last commit for stuff thats
unpublished (not sent by email to any list, nor uploaded to any public
git server)

> http://www.cherokee-project.com/

committed and pushed.

I think we should merge the x11 repo into main. Cherokee needs ffmpeg
which depends on x11 libs. Same goes for dbus and cups. They need x11
stuff.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---